Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: jre-6u2-linux-i586.bin  (gelezen 1740 keer)

Offline vis

  • Lid
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Gepost op: 2007/08/12, 00:14:12 »
Hallo allemaal,

I probeer dit bestand te instaleren: jre-6u2-linux-i586.bin

Dit heb ik nodig voor mijn vriendin, zodat ze online spelletjes kan spelen. Het heetf altijd gewerkt met versie 6, alleen nu heb je op de website versie u2 nodig. Ik heb jre-6u2-linux-i586.bin gedownload. Daarna heb ik hem uitvoerbaar gemaakt. Daarna heb ik in de konsole het volgende gedaan: ./jre-6u2-linux-i586.bin Het enige wat hij nu doet, is het bestand alleen uitpakken en voor de rest niks. Weet iemand hoe ik dit aan de praat krijg?

Offline bwman

  • Lid
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #1 Gepost op: 2007/08/12, 01:43:28 »
welke versie van ubuntu heb je?
want in fiesty fawn kan je hem zo in synaptic terugvinden en installeren.


greets Chris
firefighter is not something you do..........
                                         its something you are
nexus 5,  huawei P9 lite, elementary os, Ubuntu 16.10, mint cinamon,
Saab enthousiast

Offline vis

  • Lid
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #2 Gepost op: 2007/08/12, 12:08:31 »
Ik gebruik feisty. Ik heb alle updates geinstalleerd, maar ik heb hier alleen de 6.0 versie en niet de 6u2.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #3 Gepost op: 2007/08/12, 13:25:10 »
Als je de jdk wil gebruiken die je op de sun website kan vinden, dan is dit de procedure om die - via een package - te installeren op Ubuntu / Debian.
- open een console
- tokkel: sudo apt-get install java-package
- editeer: gksudo gedit /usr/share/java-package/sun-j2sdk.sh
- zoek het stuk:
"jdk-1_5_0_"[0-9][0-9]"-linux-i586.bin") # SUPPORTED
   j2se_version=1.5.0+update${archive_name:10:2}
   j2se_expected_min_size=130
   found=true
   ;;
      esac
      ;;
- Voeg toe tot het er zo uitziet:
"jdk-1_5_0_"[0-9][0-9]"-linux-i586.bin") # SUPPORTED
   j2se_version=1.5.0+update${archive_name:10:2}
   j2se_expected_min_size=130
   found=true
   ;;
"jdk-6u"[0-9]"-linux-i586.bin") # SUPPORTED
   j2se_version=1.6.0+update${archive_name:6:1}
   j2se_expected_min_size=58
   found=true
   ;;
      esac
      ;;
- kopieer: sudo cp -r /usr/share/java-package/sun-j2sdk1.5 /usr/share/java-package/sun-j2sdk1.6
- editeer: gksudo gedit /usr/share/java-package/sun-j2sdk1.6/install
    * vervang daar: j2sdk1.5-sun door j2sdk1.6-sun
- editeer: gksudo gedit /usr/share/java-package/sun-j2sdk1.6/remove
    * vervang daar: j2sdk1.5-sun door j2sdk1.6-sun
- download nu het bestand van sun: jdk-6u2-linux-i586.bin
- in de directory waar je het bestand gedownload hebt, open een console en tokkel:  fakeroot make-jpkg ./jdk-6u2-linux-i586.bin
- volg de instructies en effe wachten :)
- als alles goed gaat heb je nu een .deb package: sun-j2sdk1.6_1.6.0+update2_i386.deb
- installeren kan met: sudo dpkg -i ./sun-j2sdk1.6_1.6.0+update2_i386.deb

Toegegeven, ingewikkelde procedure, maar het werkt. Zelf getest op dapper :)

Offline vis

  • Lid
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #4 Gepost op: 2007/08/12, 18:56:50 »
Hartelijk bedankt kennywest voor de duidelijke uitleg. Het werkt perfect.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #5 Gepost op: 2007/08/13, 08:04:27 »
Zonder dank. voordeel van de voorgestelde oplossing is dat het geïnstalleerd is "the Ubuntu way". Dus je kan het pakket met apt-get remove blabla terug verwijderen ;)

Lee_is_alive

  • Gast
jre-6u2-linux-i586.bin
« Reactie #6 Gepost op: 2007/08/24, 12:57:23 »
Hey,

Wanneer ik jou stappen volg, of ook wanneer ik gewoon de binaire download en deze wil installeren via ./jdk-6u2-linux-i586.bin krijg ik volgende fout:

Do you agree to the above license terms? [yes or no]
yes
Unpacking...
Checksumming...
Extracting...
/home/lee/Desktop/jdk-6u2-linux-i586.bin: 371: ./install.sfx.22636: not found
Failed to extract the files.

Enig idee hoe ik dit kan oplossen? Ik zou namelijk graag Netbeans installeren, maar krijg daar dus de melding dat er geen JDK kan gevonden worden, vandaar dat ik eerst java wil installeren. Ik werk pas sinds gisteren met ubuntu, daarvoor gebruikte ik Fedora. Daar kon ik alles installeren door de bin-files uitvoerrechten te geven en dan het . commando te gebruiken.

Greetz

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
jre-6u2-linux-i586.bin
« Reactie #7 Gepost op: 2007/08/24, 13:03:40 »
Werk je op een 64 bits systeem? Dan is dit een bug in de JDK installer: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6500693

Lee_is_alive

  • Gast
jre-6u2-linux-i586.bin
« Reactie #8 Gepost op: 2007/08/28, 09:40:15 »
Ik werk inderdaad met een 64bit systeem. Too bad, maar nu weet ik in elk geval dat ik (hierbij) geen domme dingen aan het doen was :-) Thnx voor de reply